Page MenuHomePhabricator

Make Wikibase register all its content handlers
Closed, ResolvedPublic

Description

Following T155139, Wikibase should use either $wgContentHandlers or GetContentModels hooks to inform core about the list of content handlers it supports.

See also https://gerrit.wikimedia.org/r/#/c/335270/ for the patch.

Related Objects

StatusAssignedTask
ResolvedWikidata-bugs
OpenNone
Resolvedaude
ResolvedSmalyshev
Resolvedaude
ResolvedNone
InvalidNone
ResolvedSmalyshev
ResolvedLydia_Pintscher
DuplicateSmalyshev
DuplicateNone
DeclinedNone
DeclinedNone
Resolveddaniel
ResolvedLydia_Pintscher
OpenNone
DeclinedNone
ResolvedSmalyshev
ResolvedSmalyshev
DeclinedNone
ResolvedSmalyshev
ResolvedSmalyshev
ResolvedSmalyshev
ResolvedSmalyshev
Resolveddcausse
Resolveddcausse
ResolvedSmalyshev
ResolvedSmalyshev
ResolvedSmalyshev
ResolvedSmalyshev
Resolveddcausse

Event Timeline

Smalyshev created this task.Feb 8 2017, 7:58 PM

Change 335270 had a related patch set uploaded (by Smalyshev):
Register ContentHandlers in $wgContentHandlers.

https://gerrit.wikimedia.org/r/335270

Change 335270 merged by jenkins-bot:
Register ContentHandlers in $wgContentHandlers.

https://gerrit.wikimedia.org/r/335270

Smalyshev closed this task as Resolved.Feb 17 2017, 9:45 PM
Smalyshev claimed this task.
thiemowmde added a subscriber: thiemowmde.

Please always tag Wikibase tasks with the Wikidata umbrella, so we are aware of it.

thiemowmde moved this task from incoming to in progress on the Wikidata board.Feb 20 2017, 9:44 AM